Wolves of Capitol HillAPI Docs
API Reference

Filings

Published disclosure filings with official source URLs.

Published disclosure filings with source URLs.

GET
/api/v1/filings
AuthorizationBearer <token>

API key as bearer token.

In: header

Query Parameters

chamber?string

Only filings from this chamber.

Value in"house" | "senate"
status?string

Only published is accepted.

Default"published"
Value in"published"
limit?integer

Rows per page (1-100, default 25).

Default25
Range1 <= value <= 100
cursor?string

Opaque pagination cursor from a previous response nextCursor.

Response Body

curl -X GET "https://www.wolfofcapitolhill.com/api/v1/filings?chamber=house&status=published&limit=25&cursor=string"
{
  "data": [
    {
      "id": "string",
      "chamber": "house",
      "sourceDocId": "string",
      "url": "string",
      "politicianId": "string",
      "filedAt": "2019-08-24T14:15:22Z",
      "status": "published"
    }
  ],
  "nextCursor": "string"
}
{
  "error": "string",
  "hint": "string"
}
{
  "error": "string",
  "hint": "string"
}